Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 597875 - New nouveau/mesa updates crash Compiz/Gnome-shell
New nouveau/mesa updates crash Compiz/Gnome-shell
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-30 17:12 EDT by GoinEasy9
Modified: 2012-08-16 13:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 13:38:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description GoinEasy9 2010-05-30 17:12:04 EDT
Description of problem: Access to Compiz and Gnome-shell no longer available.


Version-Release number of selected component (if applicable):
From today's updates:
May 30 16:25:34 Updated: gnome-panel-libs-2.31.2-2.fc14.i686
May 30 16:25:37 Updated: mesa-dri-drivers-7.9-0.1.fc14.i686
May 30 16:25:42 Updated: ibus-pinyin-db-open-phrase-1.3.8-1.fc14.noarch
May 30 16:25:45 Updated: mesa-libGL-7.9-0.1.fc14.i686
May 30 16:25:47 Updated: mesa-libGLU-7.9-0.1.fc14.i686
May 30 16:25:48 Updated: glew-1.5.4-1.fc14.i686
May 30 16:25:49 Updated: glx-utils-7.9-0.1.fc14.i686
May 30 16:25:50 Updated: ibus-pinyin-1.3.8-1.fc14.i686
May 30 16:25:59 Updated: gnome-panel-2.31.2-2.fc14.i686
May 30 16:26:00 Updated: mesa-dri-drivers-experimental-7.9-0.1.fc14.i686

How reproducible: System-->Preferences-->Desktop Effects and check either Compiz or Gnome-shell.


Steps to Reproduce:
1.Same as above
2.
3.
  
Actual results: Effects revert back to Standard Desktop Effects.  Sometimes there is a warning of failure (Compiz) which states Compiz crashed and effects are reverting.


Expected results: Compiz or Gnome-shell effects appear.


Additional info: /var/log/messages starting with attempt at changing to Compiz effects, then attempt at changing to Gnome-shell effects.

May 30 16:52:02 localhost kernel: [drm] nouveau 0000:04:00.0: Allocating FIFO number 4
May 30 16:52:02 localhost kernel: [drm] nouveau 0000:04:00.0: nouveau_channel_alloc: initialised FIFO 4
May 30 16:52:05 localhost kernel: [drm] nouveau 0000:04:00.0: Allocating FIFO number 5
May 30 16:52:05 localhost kernel: [drm] nouveau 0000:04:00.0: nouveau_channel_alloc: initialised FIFO 5
May 30 16:52:05 localhost kernel: [drm] nouveau 0000:04:00.0: nouveau_channel_free: freeing fifo 5
May 30 16:52:05 localhost kernel: [drm] nouveau 0000:04:00.0: Allocating FIFO number 5
May 30 16:52:05 localhost kernel: [drm] nouveau 0000:04:00.0: nouveau_channel_alloc: initialised FIFO 5
May 30 16:52:05 localhost kernel: [drm] nouveau 0000:04:00.0: nouveau_channel_free: freeing fifo 5
May 30 16:52:05 localhost kernel: [drm] nouveau 0000:04:00.0: Allocating FIFO number 5
May 30 16:52:05 localhost kernel: [drm] nouveau 0000:04:00.0: nouveau_channel_alloc: initialised FIFO 5
May 30 16:52:06 localhost kernel: compiz[2021]: segfault at 6f696479 ip 00e0596c sp bf89a0f4 error 4 in nouveau_dri.so[df8000+22d000]
May 30 16:52:06 localhost kernel: Process 2021(compiz) has RLIMIT_CORE set to 0
May 30 16:52:06 localhost kernel: Aborting core
May 30 16:52:06 localhost kernel: [drm] nouveau 0000:04:00.0: nouveau_channel_free: freeing fifo 5
May 30 16:52:20 localhost kernel: [drm] nouveau 0000:04:00.0: Allocating FIFO number 5
May 30 16:52:20 localhost kernel: [drm] nouveau 0000:04:00.0: nouveau_channel_alloc: initialised FIFO 5
May 30 16:52:20 localhost kernel: [drm] nouveau 0000:04:00.0: nouveau_channel_free: freeing fifo 5
May 30 16:52:20 localhost kernel: [drm] nouveau 0000:04:00.0: Allocating FIFO number 5
May 30 16:52:20 localhost kernel: [drm] nouveau 0000:04:00.0: nouveau_channel_alloc: initialised FIFO 5
May 30 16:52:21 localhost kernel: gnome-panel[1650]: segfault at 6e40a70 ip 06e40a70 sp bfa7732c error 14 in libstartup-notification-1.so.0.0.0[6f0d000+9000]
May 30 16:52:21 localhost kernel: Process 1650(gnome-panel) has RLIMIT_CORE set to 0
May 30 16:52:21 localhost kernel: Aborting core
May 30 16:52:22 localhost kernel: mutter[2047]: segfault at 4 ip 00f2d96c sp bfc8fb24 error 4 in nouveau_dri.so[f20000+22d000]
May 30 16:52:22 localhost kernel: Process 2047(mutter) has RLIMIT_CORE set to 0
May 30 16:52:22 localhost kernel: Aborting core
May 30 16:52:22 localhost kernel: [drm] nouveau 0000:04:00.0: nouveau_channel_free: freeing fifo 5
Comment 1 Steven Usdansky 2010-06-06 08:13:10 EDT
My situation is apparently similar. With the updated (7.9-0.1.fc14.x86_64) mesa files, compiz fails to run. Reverting to the version 7.8.1-6.fc13.x86_64 packages restores proper behavior.

mesa-dri-drivers-7.9-0.1.fc14.x86_64
mesa-libGL-7.9-0.1.fc14.x86_64
mesa-libGLU-7.9-0.1.fc14.x86_64
mesa-dri-drivers-experimental-7.9-0.1.fc14.x86_64
xorg-x11-drv-nouveau-0.0.16-6.20100423git13c1043.fc13.x86_64
Comment 2 Steven Usdansky 2010-06-13 20:39:15 EDT
Updating mesa to 7.9-0.2.fc14 allowed me to boot, but the Workplace Switcher and Window List panel applets crashed on startup (with Compiz as the wm). Furthermore, Compiz itself died a couple of times within the session; apparently shrinking the size of my Pidgin window was enough to cause that problem. Metacity seemed to be immune to the wm dying problem. Reverted again to 7.8.1-6.fc13, and so far, so good.
Comment 3 GoinEasy9 2010-06-14 00:06:10 EDT
The new mesa 7.9-0.2.fc14 drivers once again allow compiz and gnome-shell to work when switching using Desktop Effects.  The problem now is mutter crashing and gnome-panel segfaulting. I definitely see the nouveau driver involved with the segfaults.  See Bug #603226
Comment 4 Bug Zapper 2010-07-30 07:45:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2012-08-16 13:38:04 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.